%define	name	keychain
%define	version 2.6.8
%define	release	%mkrel 7

Summary:	Keychain manages ssh-agent to minimise passphrase entry for ssh
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Remote access
URL:		http://www.gentoo.org/proj/en/%{name}/
Source0:	http://dev.gentoo.org/~agriffis/keychain/%name-%version.tar.bz2
Source1:	%name.profile.sh
Source2:	%name.profile.csh
Requires:	openssh-askpass openssh-clients gnupg2
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

Run keychain once manually per user, after which keychain will run (quietly) 
every time you log in (from a profile script).

Hint: If you get tired of keychain, delete ~/.keychain

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.sh
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.csh
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 keychain.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog 
%_bindir/*
%{_sysconfdir}/profile.d/*
%{_mandir}/man1/%{name}*



%changelog
* Mon Mar 17 2008 Olivier Blin <oblin@mandriva.com> 2.6.8-7mdv2008.1
+ Revision: 188328
- if no default-key is specified in gpg.conf, ask password for first private key
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.8-6mdv2008.1
+ Revision: 113959
- don't set executable bit on profile scriplet, they are sourced (fix #25374)

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 2.6.8-5mdv2008.1
+ Revision: 109224
- rebuild for new lzma

* Mon Oct 29 2007 Nicholas Brown <nickbrown@mandriva.org> 2.6.8-4mdv2008.1
+ Revision: 103650
- fix bug #25374

* Fri Sep 21 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.6.8-3mdv2008.0
+ Revision: 91863
- revert fix for #25374 (don't install profile script as executables).
  It caused a regression because /etc/bashrc is sourcing executable files from
  /etc/profile.d/. (BTW, the fix, which was commited in january, appeared on
  the mirrors only this week). See the discussion on bug #33839.


* Thu Jan 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.8-2mdv2007.0
+ Revision: 113346
- don't install profile script as executables (fix #25374)

* Mon Nov 27 2006 Nicholas Brown <nickbrown@mandriva.org> 2.6.8-1mdv2007.1
+ Revision: 87549
- new version
- New version
- New version
- Import keychain

* Mon Jul 31 2006 Helio Castro <helio@mandriva.com> 2.6.2-2mdv2007.0
- Added numbering scheme for profiles, allowing keychain profiles been 
the last profile read after ask-pass profile scripts

* Fri Mar 31 2006 Nick Brown <nickbrown@mandriva.org> 2.6.2-1mdk
- 2.6.2

* Sat Oct 15 2005 Nick Brown <nickbrown@mandriva.org> 2.6.1-1mdk
- 2.6.1
- make profile script zsh compatible (#14804)

* Tue Sep 20 2005 Nick Brown <nickbrown@mandriva.org> 2.5.5-2mdk
- Add csh profile.d script (#18698)
- %%{_sysconfdir}/profile.d/ files are not %%config files
- shellbang in %%{_sysconfdir}/profile.d/ files

* Thu Aug 04 2005 Nick Brown <nickbrown@mandriva.org> 2.5.5-1mdk
- 2.5.5
- use %%mkrel

* Thu May 19 2005 Nick Brown <nickbrown@mandrake.org> 2.5.4.1-1mdk
- 2.5.4.1
- Fixed URL

* Wed Mar 30 2005 Nick Brown <nickbrown@mandrake.org> 2.5.3.1-1mdk
- 2.5.3.1

* Wed Feb 02 2005 Nick Brown <nickbrown@mandrake.org> 2.5.1-1mdk
- 2.5.1
- added gpg keys to keychain's keylist
- KEYCHAIN_OPTIONS in .keychain/config to override agent inheriting behaviour

* Thu Nov 25 2004 Nick Brown <nickbrown@mandrake.org> 2.4.3-1mdk
- 2.4.3 (now with gpg-agent support)
- update spec description
- source gpg-agent info in profile script

* Sun Jun 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4

* Thu Jun 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1

* Fri Apr 30 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.0-1mdk
- 2.2.0
- Use new -Q option in profile script (speed up logins/new shells)
- add new man page
- spec file cosmetics

